Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadMethodAsynchronousQueueingBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadMethodAsynchronousQueueingBean

@ApplicationScoped public class BulkheadMethodAsynchronousQueueingBean extends Object
A method level `@Asynchronous @Bulkhead(value = 5, waitingTaskQueue = 5)` bean

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`BulkheadMethodAsynchronousQueueingBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadMethodAsynchronousQueueingBean

public BulkheadMethodAsynchronousQueueingBean()

## Method Details

### test

@Bulkhead(value=5, waitingTaskQueue=5) @Asynchronous public Future<?> test(Barrier barrier)